C-UL
C-UL    Constant parametes and variables in common blocks
C-UL
C-RDS V3.0 - added gmax, gall, gzero variables from SSE update (29/4/2001)
C-UL
C-UL  (--- parameters ------------------------------------------------------)
C-UL
      integer NPARAM, NEMAX, NALL, NZERO, GALL, GZERO, 
     *             MAXCHAN, MAXGRADE

      parameter(NPARAM=28)    ! number of model parameters

      parameter(NEMAX=1)    ! max number of energies parameters are
                              ! sampled at - will remove later

      parameter(NALL=2)       ! number of different grade types:
                              ! 1: GRADE 1 - pattern 0 only
                              ! 2: GRADE 2 - patterns 0-12

      parameter(NZERO=2)      ! number of GRADE-1 types (main+leak)

      parameter(GALL=4)       ! number of pattern grades (RDS v3.0)

      parameter(GZERO=1)      ! RDS v3.0

      parameter(MAXCHAN=4096) ! max number of output channels

      parameter(MAXGRADE=2)   ! max number of different grades

C-UL
C-UL (--- variables in common block ----------------------------------------)
C-UL
      integer jmax            ! max grade type to consider
      integer gmax            ! max number of pattern grades ! RDS v3.0
      integer nebin           ! number of native energy bins
      integer nepts(NALL)     ! number of energy points per grade type
      integer grade(NALL)     ! grade per grade type

      real    param(NPARAM,NALL) ! parameter values
      real    ewidth          ! width of native energy bins
      real    threshold       ! no response below this treshold [eV]
      real    back_sigma      ! sigma for noise convolution [eV]
      real    echlo(MAXCHAN)  ! lower bounds of channels axis
      real    echhi(MAXCHAN)  ! upper bounds of channels axis
      real    echannel(MAXCHAN)  ! upper bounds of channels axis

      common /rmfcom/ jmax, gmax, param, grade, nepts, 
     *             ewidth, nebin, threshold, back_sigma, echlo, 
     *             echhi, echannel

      real si_kedge, si_kalpha, siesc_norm, siesc_scale, 
     &                     siflo_norm, siflo_scale, si_flo(MAXCHAN)
      common /silicon/ si_kedge, si_kalpha, siesc_norm, siesc_scale,
     &                     siflo_norm, siflo_scale, si_flo

      real vgt_norm, vgt_estart, vgt_scale, vgt_min, 
     &               vgt_secfac, vgt_blue

      common /cm_voigt/ vgt_norm, vgt_estart, vgt_scale, vgt_min, 
     &               vgt_secfac, vgt_blue

      real lowen_frac, lowen_epeak, lowen_resolution
      common /lowen/ lowen_frac, lowen_epeak, lowen_resolution

      real resn_p1, resn_p2, rmf_tau
      common /resolution/ resn_p1, resn_p2, rmf_tau
      
      real cm_loss_frac, cm_loss_estart, cm_loss_scale, cm_loss_min
      common /loss/ cm_loss_frac, cm_loss_estart, 
     &                                   cm_loss_scale, cm_loss_min

      real cm_secnd_frac, cm_secnd_estart, cm_secnd_scale,
     &     cm_secnd_efpos1, cm_secnd_efrac1, cm_secnd_efpos2, 
     &     cm_secnd_efrac2
      common /secnd/ cm_secnd_frac, cm_secnd_estart, cm_secnd_scale,
     &     cm_secnd_efpos1, cm_secnd_efrac1, cm_secnd_efpos2, 
     &     cm_secnd_efrac2

      real shelf_emin
      common /cm_shelf/ shelf_emin
