      real function si_redgauss_sloss(e1, main_energy, main_sigma, 
     1                               red_sigma, flo_norm, flo_sigma, 
     2                               esc_norm, esc_sigma)
c
c Returns the unormalised value of the integral of a red-Gaussian Si response 
c modified by a surface loss model.
c
c  Local Variables
      implicit none

      integer i, ndmax

      real main_energy, main_sigma, red_sigma
      real flo_norm, flo_sigma, esc_norm, esc_sigma
      real main, siflo, siesc
      real e1, e0, flo_e0, esc_e0

      real dnorm_lookup(100), fracd_lookup(100)
c
c  Local Constants
      real si_kedge, si_kalpha
c
c  External Functions
      real redgauss
c
c  Common Parameters
      common /dnorm_lookup/ dnorm_lookup
      common /fracd_lookup/ fracd_lookup
      common /ndmax/ ndmax
      common /silicon/ si_kedge, si_kalpha

      si_redgauss_sloss = 0.0
      do i = 2, ndmax
          e0 = main_energy * fracd_lookup(i)
          main = redgauss(e1, e0, main_sigma, red_sigma)

          if (main_energy .gt. si_kedge) then
              flo_e0 = si_kalpha * fracd_lookup(i)
              siflo = flo_norm * redgauss(e1,flo_e0,flo_sigma,red_sigma) 

              esc_e0 = e0 - si_kalpha
              siesc = esc_norm * redgauss(e1,esc_e0,esc_sigma,red_sigma) 
              si_redgauss_sloss = si_redgauss_sloss + 
     &                            (dnorm_lookup(i)*(main+siflo+siesc)) 
          else
              si_redgauss_sloss = si_redgauss_sloss +
     &                            (dnorm_lookup(i)*main) 
          endif

      enddo

      return
      end
